package com.eactive.eai.authserver.custom;

import java.io.Serializable;

@SuppressWarnings("serial")
public class SnapOAuth2AccessTokenRequest implements Serializable {
	private String grantType;
	private String authCode;
	private String refreshToken;
	private Object additionalInfo;

	public String getGrantType() {
		return grantType;
	}

	public void setGrantType(String grantType) {
		this.grantType = grantType;
	}

	public String getAuthCode() {
		return authCode;
	}

	public void setAuthCode(String authCode) {
		this.authCode = authCode;
	}

	public String getRefreshToken() {
		return refreshToken;
	}

	public void setRefreshToken(String refreshToken) {
		this.refreshToken = refreshToken;
	}

	public Object getAdditionalInfo() {
		return additionalInfo;
	}

	public void setAdditionalInfo(Object additionalInfo) {
		this.additionalInfo = additionalInfo;
	}

	@Override
	public String toString() {
		return "SnapOAuth2AccessTokenRequest [grantType=" + grantType + ", authCode=" + authCode + ", refreshToken="
				+ refreshToken + ", additionalInfo=" + additionalInfo + "]";
	}
}
